﻿@model IEnumerable<WebAppCore.Models.Category>

<div class="container" p-3>
    <div class="row pt-4">
        <div class="col-6">
            <h2 class="text-primary">Category List</h2>
        </div>
        <div class="col-6 text-right">
            <a asp-action="Create" asp-controller="Category" class="btn btn-primary">
                Create New Category
            </a>
        </div>
    </div>
</div>

<br/><br/>

@if(Model.Count() > 0)
 {
    <table class="table table-bordered table-striped" style="width:100%">
        <thead>
            <tr>
                <th>
                    Category Name
                </th>
                <th>
                    Display Order
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach(var obj in Model)
             {
            <tr>
                <td width="50%">@obj.CategoryName</td>
                <td width="50%">@obj.DisplayOrder</td>
                <td class="text-center">
                    <div class="w-75 btn-group" role="group">
                        <a asp-controller="Category" asp-route-Id="@obj.Id" asp-action="Edit" class="btn btn-primary mx-2">
                            Edit
                        </a>
                        <a asp-controller="Category" asp-route-Id="@obj.Id" asp-action="Delete" class="btn btn-danger mx-2">
                            Delete
                        </a>
                    </div>
                </td>
            </tr>
             }
        </tbody>
    </table>
}
else
{
    <p>No category exist</p>
}



